<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\KursUebersicht\KursUebersicht\Detailsreiter\Termine\TerminStornierenDialog;

class TerminStornierenAbsendenUseCase extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminStornierenDialog\TerminStornierenAbsendenUseCase
{
  use \Kufer\KuferTools\Firma\KursUebersicht\KursUebersicht\Detailsreiter\Termine\TerminDialog\TerminHasAccessToKurstag;

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_FA;
  }

  public static function getToolSectionId()
  {
    return 309;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess($pToolSectionId)) {
      return false;
    }
    
    return true;
  }

  protected function createTerminStornierenAbsendenEMailUseCase($emailRequest): \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminStornierenDialog\TerminStornierenAbsendenEMailUseCase
  {
    return new TerminStornierenAbsendenEMailUseCase($emailRequest);
  }
}